@rem
@rem Copyright 2015 the original author or authors.
@rem
@rem Licensed under the Apache License, Version 2.0 (the "License");
@rem you may not use this file except in compliance with the License.
@rem You may obtain a copy of the License at
@rem
@rem      https://www.apache.org/licenses/LICENSE-2.0
@rem
@rem Unless required by applicable law or agreed to in writing, software
@rem distributed under the License is distributed on an "AS IS" BASIS,
@rem WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
@rem See the License for the specific language governing permissions and
@rem limitations under the License.
@rem

@if "%DEBUG%"=="" @echo off
@rem ##########################################################################
@rem
@rem  dropseq startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

set DIRNAME=%~dp0
if "%DIRNAME%"=="" set DIRNAME=.
@rem This is normally unused
set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME%..

@rem Resolve any "." and ".." in APP_HOME to make it shorter.
for %%i in ("%APP_HOME%") do set APP_HOME=%%~fi

@rem Add default JVM options here. You can also use JAVA_OPTS and DROPSEQ_OPTS to pass JVM options to this script.
set DEFAULT_JVM_OPTS=

@rem Find java.exe
if defined JAVA_HOME goto findJavaFromJavaHome

set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if %ERRORLEVEL% equ 0 goto execute

echo. 1>&2
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH. 1>&2
echo. 1>&2
echo Please set the JAVA_HOME variable in your environment to match the 1>&2
echo location of your Java installation. 1>&2

goto fail

:findJavaFromJavaHome
set JAVA_HOME=%JAVA_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

if exist "%JAVA_EXE%" goto execute

echo. 1>&2
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME% 1>&2
echo. 1>&2
echo Please set the JAVA_HOME variable in your environment to match the 1>&2
echo location of your Java installation. 1>&2

goto fail

:execute
@rem Setup the command line

set CLASSPATH=%APP_HOME%\lib\dropseq.jar;%APP_HOME%\lib\biojava-alignment-7.0.2.jar;%APP_HOME%\lib\biojava-core-7.0.2.jar;%APP_HOME%\lib\la4j-0.6.0.jar;%APP_HOME%\lib\log4j-slf4j-impl-2.17.2.jar;%APP_HOME%\lib\slf4j-api-2.0.9.jar;%APP_HOME%\lib\snakeyaml-2.2.jar;%APP_HOME%\lib\picard-3.1.1.jar;%APP_HOME%\lib\forester-1.039.jar;%APP_HOME%\lib\barclay-5.0.0.jar;%APP_HOME%\lib\log4j-core-2.20.0.jar;%APP_HOME%\lib\log4j-api-2.20.0.jar;%APP_HOME%\lib\jaxb-api-2.3.1.jar;%APP_HOME%\lib\jaxb-runtime-2.3.5.jar;%APP_HOME%\lib\gkl-0.8.11.jar;%APP_HOME%\lib\gatk-native-bindings-1.0.0.jar;%APP_HOME%\lib\google-cloud-nio-0.127.0.jar;%APP_HOME%\lib\google-cloud-storage-2.25.0.jar;%APP_HOME%\lib\google-cloud-core-2.21.1.jar;%APP_HOME%\lib\gax-2.31.1.jar;%APP_HOME%\lib\google-api-services-storage-v1-rev20230617-2.0.0.jar;%APP_HOME%\lib\google-api-client-2.2.0.jar;%APP_HOME%\lib\google-oauth-client-1.34.1.jar;%APP_HOME%\lib\google-auth-library-oauth2-http-1.19.0.jar;%APP_HOME%\lib\google-http-client-gson-1.43.3.jar;%APP_HOME%\lib\google-http-client-apache-v2-1.43.3.jar;%APP_HOME%\lib\google-http-client-1.43.3.jar;%APP_HOME%\lib\opencensus-contrib-http-util-0.31.1.jar;%APP_HOME%\lib\api-common-2.14.1.jar;%APP_HOME%\lib\protobuf-java-util-3.23.2.jar;%APP_HOME%\lib\guava-32.1.1-jre.jar;%APP_HOME%\lib\commons-math3-3.6.1.jar;%APP_HOME%\lib\commons-collections4-4.4.jar;%APP_HOME%\lib\htsjdk-4.0.2.jar;%APP_HOME%\lib\nashorn-core-15.4.jar;%APP_HOME%\lib\commons-lang3-3.12.0.jar;%APP_HOME%\lib\commons-io-2.11.0.jar;%APP_HOME%\lib\httpclient-4.5.14.jar;%APP_HOME%\lib\commons-codec-1.15.jar;%APP_HOME%\lib\javax.activation-api-1.2.0.jar;%APP_HOME%\lib\jakarta.xml.bind-api-2.3.3.jar;%APP_HOME%\lib\txw2-2.3.5.jar;%APP_HOME%\lib\istack-commons-runtime-3.0.12.jar;%APP_HOME%\lib\jakarta.activation-1.2.2.jar;%APP_HOME%\lib\commons-jexl-2.1.1.jar;%APP_HOME%\lib\commons-logging-1.2.jar;%APP_HOME%\lib\failureaccess-1.0.1.jar;%APP_HOME%\lib\jsr305-3.0.2.jar;%APP_HOME%\lib\checker-qual-3.33.0.jar;%APP_HOME%\lib\error_prone_annotations-2.18.0.jar;%APP_HOME%\lib\snappy-java-1.1.10.5.jar;%APP_HOME%\lib\commons-compress-1.24.0.jar;%APP_HOME%\lib\xz-1.9.jar;%APP_HOME%\lib\json-20230618.jar;%APP_HOME%\lib\ngs-java-2.9.0.jar;%APP_HOME%\lib\jopt-simple-5.0.3.jar;%APP_HOME%\lib\freemarker-2.3.30.jar;%APP_HOME%\lib\gson-2.10.1.jar;%APP_HOME%\lib\asm-commons-7.3.1.jar;%APP_HOME%\lib\asm-util-7.3.1.jar;%APP_HOME%\lib\asm-analysis-7.3.1.jar;%APP_HOME%\lib\asm-tree-7.3.1.jar;%APP_HOME%\lib\asm-7.3.1.jar;%APP_HOME%\lib\javax.inject-1.jar;%APP_HOME%\lib\j2objc-annotations-2.8.jar;%APP_HOME%\lib\listenablefuture-9999.0-empty-to-avoid-conflict-with-guava.jar;%APP_HOME%\lib\google-http-client-jackson2-1.43.3.jar;%APP_HOME%\lib\auto-value-annotations-1.10.2.jar;%APP_HOME%\lib\google-cloud-core-http-2.21.1.jar;%APP_HOME%\lib\google-http-client-appengine-1.43.3.jar;%APP_HOME%\lib\gax-httpjson-2.31.1.jar;%APP_HOME%\lib\google-cloud-core-grpc-2.21.1.jar;%APP_HOME%\lib\gax-grpc-2.31.1.jar;%APP_HOME%\lib\grpc-alts-1.56.1.jar;%APP_HOME%\lib\grpc-grpclb-1.56.1.jar;%APP_HOME%\lib\conscrypt-openjdk-uber-2.5.2.jar;%APP_HOME%\lib\grpc-auth-1.56.1.jar;%APP_HOME%\lib\grpc-protobuf-1.56.1.jar;%APP_HOME%\lib\grpc-protobuf-lite-1.56.1.jar;%APP_HOME%\lib\google-auth-library-credentials-1.19.0.jar;%APP_HOME%\lib\javax.annotation-api-1.3.2.jar;%APP_HOME%\lib\opencensus-api-0.31.1.jar;%APP_HOME%\lib\grpc-context-1.56.1.jar;%APP_HOME%\lib\proto-google-iam-v1-1.17.1.jar;%APP_HOME%\lib\proto-google-common-protos-2.22.1.jar;%APP_HOME%\lib\protobuf-java-3.23.2.jar;%APP_HOME%\lib\threetenbp-1.6.8.jar;%APP_HOME%\lib\proto-google-cloud-storage-v2-2.25.0-alpha.jar;%APP_HOME%\lib\grpc-google-cloud-storage-v2-2.25.0-alpha.jar;%APP_HOME%\lib\gapic-google-cloud-storage-v2-2.25.0-alpha.jar;%APP_HOME%\lib\jackson-core-2.15.2.jar;%APP_HOME%\lib\grpc-api-1.56.1.jar;%APP_HOME%\lib\grpc-netty-shaded-1.56.1.jar;%APP_HOME%\lib\perfmark-api-0.26.0.jar;%APP_HOME%\lib\grpc-core-1.56.1.jar;%APP_HOME%\lib\annotations-4.1.1.4.jar;%APP_HOME%\lib\animal-sniffer-annotations-1.23.jar;%APP_HOME%\lib\grpc-stub-1.56.1.jar;%APP_HOME%\lib\grpc-googleapis-1.56.1.jar;%APP_HOME%\lib\grpc-xds-1.56.1.jar;%APP_HOME%\lib\opencensus-proto-0.2.0.jar;%APP_HOME%\lib\grpc-services-1.56.1.jar;%APP_HOME%\lib\re2j-1.7.jar;%APP_HOME%\lib\grpc-rls-1.56.1.jar;%APP_HOME%\lib\httpcore-4.4.16.jar


@rem Execute dropseq
"%JAVA_EXE%" %DEFAULT_JVM_OPTS% %JAVA_OPTS% %DROPSEQ_OPTS%  -classpath "%CLASSPATH%" org.broadinstitute.dropseqrna.cmdline.DropSeqMain %*

:end
@rem End local scope for the variables with windows NT shell
if %ERRORLEVEL% equ 0 goto mainEnd

:fail
rem Set variable DROPSEQ_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
set EXIT_CODE=%ERRORLEVEL%
if %EXIT_CODE% equ 0 set EXIT_CODE=1
if not ""=="%DROPSEQ_EXIT_CONSOLE%" exit %EXIT_CODE%
exit /b %EXIT_CODE%

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega
